org.h2.util

## Class SynchronizedVerifier

- java.lang.Object
- - org.h2.util.SynchronizedVerifier

    public class SynchronizedVerifier
    extends java.lang.Object

A utility class that allows to verify access to a resource is synchronized.

### Constructor Summary

Constructors
Constructor and Description
`SynchronizedVerifier()`

### Method Summary

Methods
`static void` `check(java.lang.Object o)` Verify the object is not accessed concurrently.
`static void` `setDetect(java.lang.Class<?> clazz, boolean value)` Enable or disable detection for a given class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynchronizedVerifier

    public SynchronizedVerifier()

### Method Detail

#### setDetect

    public static void setDetect(java.lang.Class<?> clazz,
                 boolean value)

Enable or disable detection for a given class.

Parameters:
  `clazz` - the class
  `value` - the new value (true means detection is enabled)

#### check

    public static void check(java.lang.Object o)

Verify the object is not accessed concurrently.

Parameters:
  `o` - the object